Skip to content
iTick
  1. Docs
  2. REST API
  3. Indices
  4. Real-Time Tick

Real-Time Tick

Real-time Tick data for major global stock indices, covering core indices such as SSE Composite Index, CSI 300, Dow Jones, S&P 500, Nasdaq, and Hang Seng. Provides millisecond-accurate index prices, trading volumes, price changes, and timestamps, reflecting the latest market movements in real-time.

GET/indices/tick

Request Parameters

regionenumRequired

Market code

codestringRequired

Product code

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

Code Examples

import requests

url = "https://api.itick.org/indices/tick?region=GB&code=SPX"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/indices/tick?region=GB&code=SPX

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "s": "SPX",
    "ld": 6334.38,
    "t": 1754581840476,  // 2025-08-07 15:50:40 UTC
    "v": 1000000
  }
}